org.apache.cassandra.thrift

## Class ThriftConversion

- java.lang.Object
- - org.apache.cassandra.thrift.ThriftConversion

    public class ThriftConversion
    extends java.lang.Object

Static utility methods to convert internal structure to and from thrift ones.

### Constructor Summary

Constructors
Constructor and Description
`ThriftConversion()`

### Method Summary

Methods
`static ConsistencyLevel` `fromThrift(ConsistencyLevel cl)`
`static java.util.List<IndexExpression>` `fromThrift(java.util.List<IndexExpression> exprs)`
`static java.lang.RuntimeException` `rethrow(RequestExecutionException e)`
`static AuthenticationException` `toThrift(AuthenticationException e)`
`static ConsistencyLevel` `toThrift(ConsistencyLevel cl)`
`static TimedOutException` `toThrift(RequestTimeoutException e)`
`static InvalidRequestException` `toThrift(RequestValidationException e)`
`static UnavailableException` `toThrift(UnavailableException e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThriftConversion

    public ThriftConversion()

### Method Detail

#### fromThrift

    public static ConsistencyLevel fromThrift(ConsistencyLevel cl)

#### toThrift

    public static ConsistencyLevel toThrift(ConsistencyLevel cl)

#### rethrow

    public static java.lang.RuntimeException rethrow(RequestExecutionException e)
                                              throws UnavailableException,
                                                     TimedOutException

Throws:
  `UnavailableException`
  `TimedOutException`

#### toThrift

    public static InvalidRequestException toThrift(RequestValidationException e)

#### toThrift

    public static UnavailableException toThrift(UnavailableException e)

#### toThrift

    public static AuthenticationException toThrift(AuthenticationException e)

#### toThrift

    public static TimedOutException toThrift(RequestTimeoutException e)

#### fromThrift

    public static java.util.List<IndexExpression> fromThrift(java.util.List<IndexExpression> exprs)